//  64  !!!
//===================================

#ifndef NULL
#ifdef __cplusplus
#define NULL	0
#else
#define NULL	((void *)0)
#endif
#endif

#ifndef FALSE
#define FALSE		0
#endif

#ifndef TRUE
#define TRUE		1
#endif


#ifndef VOID
#define VOID		void
#endif

typedef void				*LPVOID;

//===================================

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef float               FLOAT;
typedef FLOAT               *PFLOAT;

typedef int                 INT;
typedef unsigned int        UINT;
typedef unsigned int        *PUINT;

typedef DWORD				*HINSTANCE;
typedef char				*LPSTR;

typedef char				*LPTSTR;
typedef const char			*LPCTSTR;

typedef long				LONG;

//===================================

typedef struct _SECURITY_ATTRIBUTES {
    DWORD  nLength; 
    LPVOID lpSecurityDescriptor; 
    BOOL   bInheritHandle; 
} SECURITY_ATTRIBUTES; 

typedef struct _SECURITY_ATTRIBUTES *LPSECURITY_ATTRIBUTES;

//===================================

#define GetRValue(rgb)   ((BYTE) (rgb)) 
#define GetGValue(rgb)   ((BYTE) (((WORD) (rgb)) >> 8))  
#define GetBValue(rgb)   ((BYTE) ((rgb) >> 16))

//===================================

typedef struct  tagPOINT
    {
    LONG x;
    LONG y;
    }	POINT;

typedef struct tagPOINT *PPOINT;
typedef struct tagPOINT *LPPOINT;

//===================================

typedef struct _kosFileInfo_WA
{
	DWORD num;
	DWORD res1;
	DWORD res2;
	DWORD res3;
	DWORD res4;
	char res5;
	char *URL;
} kosFileInfo_WA;

//===================================

BOOL kos_InitHeap();

void*  memset(
		void *mem, 
		int c, 
		size_t size
		);

int WinMain(
		HINSTANCE hInstance,
		HINSTANCE hPrevInstance,
		LPSTR lpCmdLine,
		int nShowCmd
		);


VOID ExitProcess(
		UINT uExitCode
		);


VOID Sleep(
		DWORD dwMilliseconds
		);

int lstrlen(
		LPCTSTR lpString
		);


LPTSTR lstrcat(
		LPTSTR lpString1,
		LPCTSTR lpString2
		);

BOOL CreateDirectory(
		LPCTSTR lpPathName,
		LPSECURITY_ATTRIBUTES lpSecurityAttributes
		);

BOOL DeleteFile(
		LPCTSTR lpFileName
		);

BOOL SetCursorPos(
		int X,
		int Y
		);

DWORD GetTickCount(VOID);

BOOL GetCursorPos
	(
	LPPOINT lpPoint
	);

//===================================
